Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.el.lang
Class EvaluationContext

    java.lang.Object
      javax.el.ELContext
          com.sun.el.lang.EvaluationContext

    public final class EvaluationContext

extends ELContext

Constructor Summary
`EvaluationContext(ELContext elContext, FunctionMapper fnMapper, VariableMapper varMapper)`

Method Summary
`Object` | `getContext(Class key)` Returns the context object associated with the given key.
`ELContext` | `getELContext()`
`ELResolver` | `getELResolver()` Retrieves the `ELResolver` associated with this context.
`FunctionMapper` | `getFunctionMapper()` Retrieves the `FunctionMapper` associated with this `ELContext`.
`VariableMapper` | `getVariableMapper()` Retrieves the `VariableMapper` associated with this `ELContext`.
`boolean` | `isPropertyResolved()` Returns whether an `ELResolver` has successfully resolved a given (base, property) pair.
`void` | `putContext(Class key, Object contextObject)` Associates a context object with this `ELContext`.
`void` | `setPropertyResolved(boolean resolved)` Called to indicate that a `ELResolver` has successfully resolved a given (base, property) pair.

Methods inherited from class javax.el.ELContext
`getLocale, setLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvaluationContext

    public EvaluationContext(ELContext elContext,
                             FunctionMapper fnMapper,
                             VariableMapper varMapper)

Method Detail

### getELContext

    public ELContext getELContext()

### getFunctionMapper

    public FunctionMapper getFunctionMapper()

  Description copied from class: `ELContext`
  Retrieves the `FunctionMapper` associated with this `ELContext`.

  Specified by:
    `getFunctionMapper` in class `ELContext`
  Returns:
    The function mapper to be consulted for the resolution of EL functions.

### getVariableMapper

    public VariableMapper getVariableMapper()

  Description copied from class: `ELContext`
  Retrieves the `VariableMapper` associated with this `ELContext`.

  Specified by:
    `getVariableMapper` in class `ELContext`
  Returns:
    The variable mapper to be consulted for the resolution of EL variables.

### getContext

    public Object getContext(Class key)

  Description copied from class: `ELContext`
  Returns the context object associated with the given key.

  The `ELContext` maintains a collection of context objects relevant to the evaluation of an expression. These context objects are used by `ELResolver`s. This method is used to retrieve the context with the given key from the collection.

  By convention, the object returned will be of the type specified by the `key`. However, this is not required and the key is used strictly as a unique identifier.

  Overrides:
    `getContext` in class `ELContext`
  Parameters:
    `key` - The unique identifier that was used to associate the context object with this `ELContext`.
  Returns:
    The context object associated with the given key, or null if no such context was found.

### getELResolver

    public ELResolver getELResolver()

  Description copied from class: `ELContext`
  Retrieves the `ELResolver` associated with this context.

  The `ELContext` maintains a reference to the `ELResolver` that will be consulted to resolve variables and properties during an expression evaluation. This method retrieves the reference to the resolver.

  Once an `ELContext` is constructed, the reference to the `ELResolver` associated with the context cannot be changed.

  Specified by:
    `getELResolver` in class `ELContext`
  Returns:
    The resolver to be consulted for variable and property resolution during expression evaluation.

### isPropertyResolved

    public boolean isPropertyResolved()

  Description copied from class: `ELContext`
  Returns whether an `ELResolver` has successfully resolved a given (base, property) pair.

  The `CompositeELResolver` checks this property to determine whether it should consider or skip other component resolvers.

  Overrides:
    `isPropertyResolved` in class `ELContext`
  Returns:
    true if the property has been resolved, or false if not.
  See Also:
    `CompositeELResolver`

### putContext

    public void putContext(Class key,
                           Object contextObject)

  Description copied from class: `ELContext`
  Associates a context object with this `ELContext`.

  The `ELContext` maintains a collection of context objects relevant to the evaluation of an expression. These context objects are used by `ELResolver`s. This method is used to add a context object to that collection.

  By convention, the `contextObject` will be of the type specified by the `key`. However, this is not required and the key is used strictly as a unique identifier.

  Overrides:
    `putContext` in class `ELContext`
  Parameters:
    `key` - The key used by an @{link ELResolver} to identify this context object.
    `contextObject` - The context object to add to the collection.

### setPropertyResolved

    public void setPropertyResolved(boolean resolved)

  Description copied from class: `ELContext`
  Called to indicate that a `ELResolver` has successfully resolved a given (base, property) pair.

  The `CompositeELResolver` checks this property to determine whether it should consider or skip other component resolvers.

  Overrides:
    `setPropertyResolved` in class `ELContext`
  Parameters:
    `resolved` - true if the property has been resolved, or false if not.
  See Also:
    `CompositeELResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.